# binaryninja.function.RegisterValue

class `binaryninja.function.``RegisterValue`(arch=None, value=None, confidence=255)
  `__init__`(arch=None, value=None, confidence=255)

  Methods

  `__init__`([arch, value, confidence]) |
  `constant`(value) |
  `constant_ptr`(value) |
  `entry_value`(arch, reg) |
  `imported_address`(value) |
  `return_address`() |
  `stack_frame_offset`(offset) |
  `undetermined`() |